package com.ningdatech.pmapi.projectlib.service;

import com.ningdatech.pmapi.projectlib.model.entity.Project;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author WendyYang
 * @since 2023-02-03
 */
public interface IProjectService extends IService<Project> {

    public List<Long> getAllVersionProjectId(Project project);

    public List<Long> getAllVersionProjectId(Long projectId);

    Project getNewProject(Long projectId);

    Project getNewConstructProject(Long projectId);

    Project getProjectByCode(String projectCode);
}
